Skip to content
GET/{organizationId}/finance/finApi/{bankId}/connect

Connect to FinApi bank

Connects to a specific FinApi bank for a given organization

Required permissions:

  • cashAccount.insert

Path Parameters

organizationIdstringrequired
bankIdintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

Authentication: X-API-Key

Request

GET/{organizationId}/finance/finApi/{bankId}/connect
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/finApi/{bankId}/connect' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

idstringrequired

minLength: 1

urlstringrequired

minLength: 1

Response

200
{
  "id": "string",
  "url": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}